#include <cv/point.h>


//---------------------------------------------------------
rect& FAST_ rect::operator *= (rect r){
	if(r.a.x > a.x) a.x = r.a.x;
	if(r.a.y > a.y) a.y = r.a.y;
	if(r.b.x < b.x) b.x = r.b.x;
	if(r.b.y < b.y) b.y = r.b.y;
	return *this;
}

//---------------------------------------------------------
rect& FAST_ rect::operator += (rect r){
	if(r.a.x < a.x) a.x = r.a.x;
	if(r.a.y < a.y) a.y = r.a.y;
	if(r.b.x > b.x) b.x = r.b.x;
	if(r.b.y > b.y) b.y = r.b.y;
	return *this;
}

//---------------------------------------------------------
rect FAST_ rect::operator * (rect r) const {
	if(a.x > r.a.x) r.a.x = a.x;
	if(a.y > r.a.y) r.a.y = a.y;
	if(b.x < r.b.x) r.b.x = b.x;
	if(b.y < r.b.y) r.b.y = b.y;
	return r;
}

//---------------------------------------------------------
rect FAST_ rect::operator + (rect r) const {
	if(a.x < r.a.x) r.a.x = a.x;
	if(a.y < r.a.y) r.a.y = a.y;
	if(b.x > r.b.x) r.b.x = b.x;
	if(b.y > r.b.y) r.b.y = b.y;
	return r;
}
