#ifndef _h_FNUTIL_
#define _h_FNUTIL_

#include <io.h>
#ifndef _h_STRING2_
# include <cv/string2.h>
#endif


#define isSlash(ch)	((ch) == '\\' || (ch) == '/')
#define isDirChar(ch)	(isSlash(ch) || (ch) == ':')


#define fexist(name)	(bool(access(name, 0) == 0))


size_t FAST_	fnCutExt(PCStr, size_t);
size_t FAST_	fnCutName(PCStr, size_t);
inline size_t	fnCutDir(PCStr p, size_t sz) { return sz - fnCutName(p, sz); }
count FAST_	fnCutDrive(PCStr, size_t = 2);

bool FAST_	isSpecialDir(PCStr, size_t = 255);
char FAST_	splitChar(PCStr, size_t, char def = '/');

/*bool		fnAbsolute(charSeq);*/
void FAST_	fnUppercase(void*, size_t);
inline void	fnUppercase(PStr s)	{ fnUppercase(s, checklen(s)); }

#endif /* _h_FNUTIL_ */
